Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Creation_Time Class Reference

`#include <POA.h>`

List of all members.

## Public Methods
| TAO_Creation_Time (const ACE_Time_Value &creation_time)
| TAO_Creation_Time (void)
void | creation_time (const void *creation_time)
const void * | creation_time (void) const
int | operator== (const TAO_Creation_Time &rhs) const
int | operator!= (const TAO_Creation_Time &rhs) const
int | operator== (const TAO_Temporary_Creation_Time &rhs) const
int | operator!= (const TAO_Temporary_Creation_Time &rhs) const
## Static Public Methods
CORBA::ULong | creation_time_length (void)
## Protected Types
enum | { SEC_FIELD = 0, USEC_FIELD = 1 }
## Protected Attributes
CORBA::ULong | time_stamp_ [2]
| Timestamp.

## Member Enumeration Documentation

anonymous enum`[protected]`

  | Enumeration values:
  SEC_FIELD |
  USEC_FIELD |

## Constructor & Destructor Documentation

ACE_INLINE TAO_Creation_Time::TAO_Creation_Time | ( | const ACE_Time_Value & | creation_time | ) |

ACE_INLINE TAO_Creation_Time::TAO_Creation_Time | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE const void * TAO_Creation_Time::creation_time | ( | void |  | ) | const

ACE_INLINE void TAO_Creation_Time::creation_time | ( | const void * | creation_time | ) |

ACE_INLINE CORBA::ULong TAO_Creation_Time::creation_time_length | ( | void |  | ) | `[static]`

ACE_INLINE int TAO_Creation_Time::operator!= | ( | const TAO_Temporary_Creation_Time & | rhs | ) | const

ACE_INLINE int TAO_Creation_Time::operator!= | ( | const TAO_Creation_Time & | rhs | ) | const

ACE_INLINE int TAO_Creation_Time::operator== | ( | const TAO_Temporary_Creation_Time & | rhs | ) | const

ACE_INLINE int TAO_Creation_Time::operator== | ( | const TAO_Creation_Time & | rhs | ) | const

## Member Data Documentation

CORBA::ULong TAO_Creation_Time::time_stamp_[2]`[protected]`

| Timestamp.

The documentation for this class was generated from the following files:

- POA.h
- POA.i